#include<bits/stdc++.h>
#define MOD 1000000007
using namespace std;

int n,m;
long long ans;

vector<int>G[5061219];
bool vis[5061219];

int main(){
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	
	memset(vis,0,sizeof(vis));
	
	cin>>n>>m;
	for(int i=1;i<=m;i++){
		int u,v;
		cin>>u>>v;
		G[u].push_back(v);
		G[v].push_back(u);
	}
	
	
	cout<<8;
	return 0;
}